#ifndef GLColor_h
#define GLColor_h

// GL_DIFFUSE用の色
// C++のpublicでstaticなメンバ変数の初期化は気持ち悪い．javaみたいに書きたい．
class GLColor {
public:
	static GLfloat BLACK[];
	static GLfloat WHITE[];
	static GLfloat GRAY[];

	static GLfloat RED[];
	static GLfloat DARKRED[];

	static GLfloat GREEN[];
	static GLfloat GREEN2[];
	static GLfloat DARKGREEN[];

	static GLfloat BLUE[];
	static GLfloat SKYBLUE[];

	static GLfloat YERROW[];
	static GLfloat SKYYERROW[];

	static GLfloat PURPLE[];
};

GLfloat GLColor::BLACK[] = {0.1, 0.1, 0.1, 0};
GLfloat GLColor::WHITE[] = {0.8, 0.8, 0.8, 0};
GLfloat GLColor::GRAY[] = {0.4, 0.4, 0.4, 0};

GLfloat GLColor::RED[] = {0.5, 0, 0, 0};
GLfloat GLColor::DARKRED[] = {0.2, 0, 0, 0};

GLfloat GLColor::GREEN[] = {0, 0.5, 0, 0};
GLfloat GLColor::GREEN2[] = {0.01, 0.4, 0.01, 0};
GLfloat GLColor::DARKGREEN[] = {0, 0.2, 0, 0};

GLfloat GLColor::BLUE[] = {0, 0, 0.5, 0};
GLfloat GLColor::SKYBLUE[] = {124.0/256.0, 243.0/256.0, 243.0/256.0, 0};

GLfloat GLColor::YERROW[] = {0.5, 0.5, 0, 0};
GLfloat GLColor::SKYYERROW[] = {0.8, 0.8, 0, 0};

GLfloat GLColor::PURPLE[] = {146.0/256.0, 36.0/256.0, 1.0, 0};

#endif
