#include "Tank.h"

#ifndef PlayerTank_h
#define PlayerTank_h

class PlayerTank : public Tank { 
public:
    PlayerTank(){
        reset();
    }
    
    void reset(int initType){
        reset();
        type = initType;
    }
    
    void reset(){
        Tank::reset();
        
        z = 13;
        type = PLAYER;  
    }
    
    // tankは使わないけど，インターフェースを統一して拡張性を高める
    void proc(Tank &tank){
        Tank::proc(tank);
        
        // もし存在フラグが消えていたら何もせずに戻る
        if(isExist == false) return;
        
        if(key_up == 1){
            // 前進
            move(0.5); // 0.5くらいがちょうどいい
        }
        if(key_down == 1){
            // 後退
            move(-0.5);
        }
        if(key_left == 1){
            // 右旋回
            rotate += 10;
            whrightrot -= 10;
            whleftrot += 10;
        }
        if(key_right == 1){
            // 左旋回
            rotate -= 10;
            whrightrot += 10;
            whleftrot -= 10;
        }
        
		/*
        // 画面外から出ないようにする
        if(x > 15.5) x -= 0.5;
        else if(x < -15.5) x += 0.5;
        if(z > 15.5) z -= 0.5;
        else if(z < -15.5) z += 0.5;
		*/
		validatePosition();
        
        // 射撃
		if(key_space == 1){
			shoot();
		}
    }
    
};

#endif



